package ccoutboundrawmessage;

import java.net.URL;

import java.io.IOException;

import com.bea.wlxt.WLXTException;

import com.bea.wlxt.mfl.ParseException;

import com.bea.wlxt.mfl.NoDataException;


public final class CCOutboundMessageMflObject extends com.bea.wli.variables.MflObject
{

    public static final String mflPath ="CCOutboundRawMessage.mfl";
    public static final URL mflUrl = registerMfl(mflPath);


    private CCOutboundMessageMflObject(java.io.InputStream data) throws IOException {
        super(data, mflUrl);
    }

    private CCOutboundMessageMflObject(byte[] data)  {
        super(data, mflUrl);
    }

    private CCOutboundMessageMflObject(String data)  {
        super(data, mflUrl);
    }

    private CCOutboundMessageMflObject(com.bea.data.RawData data)  {
        super(data, mflUrl);
    }

    private CCOutboundMessageMflObject(org.apache.xmlbeans.XmlObject data) throws WLXTException {
        super(data, mflUrl);
    }


    public ccoutboundrawmessage.CCOutboundMessageDocument convertToXml() throws WLXTException, NoDataException, ParseException {
        return (ccoutboundrawmessage.CCOutboundMessageDocument) convertToXmlObject(ccoutboundrawmessage.CCOutboundMessageDocument.class);
    }


    public static CCOutboundMessageMflObject newInstance(java.io.InputStream data) throws IOException {
        return new CCOutboundMessageMflObject(data);
    }

    public static CCOutboundMessageMflObject newInstance(byte[] data)  {
        return new CCOutboundMessageMflObject(data);
    }

    public static CCOutboundMessageMflObject newInstance(String data)  {
        return new CCOutboundMessageMflObject(data);
    }

    public static CCOutboundMessageMflObject newInstance(com.bea.data.RawData data)  {
        return new CCOutboundMessageMflObject(data);
    }

    public static CCOutboundMessageMflObject newInstance(ccoutboundrawmessage.CCOutboundMessageDocument data) throws WLXTException {
        return new CCOutboundMessageMflObject(data);
    }
    public String toString() {
        return super.toString();
    };
}
